---

- hosts: 127.0.0.1
  connection: local
  tasks:
    - name: Gather information about DigitalOcean SSH keys
      community.digitalocean.digital_ocean_sshkey_info:
        oauth_token: "{{ do_api_key }}"
      register: ssh_keys

    - name: Create a new droplet
      community.digitalocean.digital_ocean_droplet:
        name: "{{ droplet_name_prefix }}-{{ item }}"
        size: "{{ droplet_size }}"
        region: "{{ droplet_region }}"
        image: "{{ droplet_image }}"
        oauth_token: "{{ do_api_key }}"
        ssh_keys: ["{{ssh_keys.data[0].id}}"]
        state: active
        unique_name: yes
        tags:
          - semester-3
          - as-a-code
      loop: "{{ droplets }}"
      register: droplets

    - name: Create inventory
      template:
        src: templates/inventory.ini.j2
        dest: "{{ do_ini_file_path }}"

